## org.eclipse.datatools.connectivity.oda.design
Interface ParameterFields

public interface ParameterFields

Defines all the fields of a complex parameter.

The following features are supported:

- `Field Collection`

See Also:
  `DesignPackage.getParameterFields()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getFieldCollection()` Returns the value of the 'Field Collection' containment reference list.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getFieldCollection

    public EList getFieldCollection()

  Returns the value of the 'Field Collection' containment reference list. The list contents are of type `ParameterFieldDefinition`.

  Returns:
    the value of the 'Field Collection' containment reference list.
  See Also:
    `DesignPackage.getParameterFields_FieldCollection()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.